package com.zjrs.zwnw.fxfk.blo.impl;

import org.mohrss.leaf.core.framework.domain.blo.impl.BLOImpl;
import com.zjrs.zwnw.fxfk.blo.QyywjkBLO;
import com.zjrs.zwnw.fxfk.dto.*;
import com.zjrs.zwnw.fxfk.entity.QyywjkMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import java.util.List;

@Service
public class QyywjkBLOimpl extends BLOImpl implements QyywjkBLO {
    private static final Logger LOG = LoggerFactory.getLogger(QyywjkBLOimpl.class);
    @Resource
    QyywjkMapper qyywjkMapper;
    //业务量走势图近一年
    @Override
    public List<QyywzstOutputDTO> getQyywzstByYear(QyywzstInputDTO dto) {
        return this.qyywjkMapper.getQyywzstByYear(dto);
    }
    //业务量走势图近7天
    @Override
    public List<QyywzstOutputDTO> getQyywzstByDate(QyywzstInputDTO dto) {
        return this.qyywjkMapper.getQyywzstByDate(dto);
    }
    //top5
    @Override
    public List<QyywTop5OutputDTO> getTop5(QyywTop5InputDTO dto){
        return this.qyywjkMapper.getTop5(dto);
    }
    //业务量统计
    @Override
    public List<QyywTjOutputDTO> getYwltj(QyywTjInputDTO dto){
        return this.qyywjkMapper.getYwltj(dto);
    }
}
